

export type RouteRecordDetailRaw = {
  path: string,
  name: string,
  props?: boolean,
  component?: () => Promise<typeof import("*.vue")>,
  redirect?: null | { name: string } | string
  meta: {
    hidden: boolean,
    breadcrumb?: boolean,
    sort: number,
    title?: string,
    icon?: string,
    show?: boolean
    roles?: string[]
    checkList?: BtnKey[]
  },
  children?: RouteRecordDetailRaw[]
}

type BtnKey = 'show' | 'export' | 'import' | 'add' | 'delete' | 'edit' | 'detail' | 'audit'

const CheckListMap = {
  show: '查看界面', // 路由中必有
  export: '导出',
  import: '导入',
  add: '添加',
  delete: '删除',
  edit: '编辑',
  detail: '详情',
  audit: '审核'
}
