import { RouteRecordDetailRaw } from '../routes.d';

export default <RouteRecordDetailRaw[]>[
  {
    "path": "/shgl",
    "name": "-SHGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 5,
      "title": "审核管理"
    },
    // "component": () => import('~/pages/shgl.vue'),
    "children": [
      {
        "path": "mssq",
        "name": "-SHGL-MSSQ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 0,
          "title": "名师申请",
        },
        "component": () => import('~/pages/shgl/mssq.vue'),
        "children": [
          {
            "path": "dsh",
            "name": "-SHGL-MSSQ-DSH",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 0,
              "title": "待审核",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/mssq/dsh.vue'),
            "redirect": null
          },
          {
            "path": "ytg",
            "name": "-SHGL-MSSQ-YTG",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "已通过",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/mssq/ytg.vue'),
            "redirect": null
          },
          {
            "path": "wtg",
            "name": "-SHGL-MSSQ-WTG",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 2,
              "title": "未通过",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/mssq/wtg.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-SHGL-MSSQ-DSH"
        }
      },
      {
        "path": "yksq",
        "name": "-SHGL-YKSQ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 1,
          "title": "约课申请",
        },
        "component": () => import('~/pages/shgl/yksq.vue'),
        "children": [
          {
            "path": "dsh",
            "name": "-SHGL-YKSQ-DSH",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 0,
              "title": "待审核",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/yksq/dsh.vue'),
            "redirect": null
          },
          {
            "path": "ytg",
            "name": "-SHGL-YKSQ-YTG",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "已通过",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/yksq/ytg.vue'),
            "redirect": null
          },
          {
            "path": "wtg",
            "name": "-SHGL-YKSQ-WTG",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 2,
              "title": "未通过",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/yksq/wtg.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-SHGL-YKSQ-DSH"
        }
      },
      {
        "path": "jgsq",
        "name": "-SHGL-JGSQ",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 2,
          "title": "机构申请",
        },
        "component": () => import('~/pages/shgl/jgsq.vue'),
        "children": [
          {
            "path": "dsh",
            "name": "-SHGL-JGSQ-DSH",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 0,
              "title": "待审核",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/jgsq/dsh.vue'),
            "redirect": null
          },
          {
            "path": "ytg",
            "name": "-SHGL-JGSQ-YTG",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 1,
              "title": "已通过",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/jgsq/ytg.vue'),
            "redirect": null
          },
          {
            "path": "wtg",
            "name": "-SHGL-JGSQ-WTG",
            "props": false,
            "meta": {
              "hidden": true,
              "breadcrumb": false,
              "sort": 2,
              "title": "未通过",
              "checkList": ['show']
            },
            "component": () => import('~/pages/shgl/jgsq/wtg.vue'),
            "redirect": null
          }
        ],
        "redirect": {
          "name": "-SHGL-JGSQ-DSH"
        }
      }
    ],
    "redirect": {
      "name": "-SHGL-MSSQ"
    }
  }
]
