import { RouteRecordDetailRaw } from '../routes.d';

export default <RouteRecordDetailRaw[]>[
  {
    "path": "/tzgl",
    "name": "tzgl",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 6,
      "title": "通知管理",
      "checkList": ['show', 'add', 'delete', 'export', 'edit'],
    },
    "component": () => import('~/pages/tzgl/index.vue'),
  },
  {
    "path": "/szmsg",
    "name": "szmsg",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 0,
      "title": "数字美术馆"
    },
    "children": [
      {
        "path": "tzkc",
        "name": "szmsg_tzkc",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 0,
          "title": "拓展课程",
          "checkList": ['show', 'add', 'delete', 'export', 'edit', 'set'],
        },
        "component": () => import('~/pages/szmsg/tzkc/index.vue'),
      },
      {
        "path": "tzkc_setting/:id",
        "name": "szmsg_tzkc_setting",
        "props": false,
        "meta": {
          "hidden": true,
          "breadcrumb": true,
          "sort": 0,
          "title": "学校设置"
        },
        "component": () => import('~/pages/szmsg/tzkc/setting.vue'),
      },
      {
        "path": "yslm",
        "name": "szmsg_yslm",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": true,
          "sort": 0,
          "title": "艺术联盟"
        },
        "component": () => import('~/pages/szmsg/yslm/index.vue'),
      },
    ],
    "redirect": {
      "name": "szmsg_tzkc"
    }
  }
]
